Bug 109617 - Update PHP to 4.3.4 - contains a lot of fixes
Update PHP to 4.3.4 - contains a lot of fixes
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-10 06:08 EST by Robert Scheck
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-20 09:17:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2003-11-10 06:08:33 EST
Description of problem:
"The PHP developers are proud to announce the immediate availability of PHP 4.3.4. This release contains a fair number of bug fixes and we recommend that all users of PHP upgrade to this version."

There are a lof fixes by Red Hat...but I can't believe, that all problems from PHP 4.3.3 are solved by the Red Hat patches...

Version-Release number of selected component (if applicable):
php-4.3.3-6

Expected results:
Update to PHP 4.3.4.

Additional info:
Patch 3 and patch 8 have to re-enable for that release.
Comment 1 Joe Orton 2003-11-10 12:03:09 EST
Packages ready for testing at:

http://people.redhat.com/jorton/FedoraC1-php/  (yum-enabled)

If anyone can try these out - please post any feedback here!
Comment 2 Robert Scheck 2003-11-12 06:36:59 EST
Okay, works fine on all my systems! :-)
Comment 3 Bob Cochran 2003-12-03 22:19:54 EST
I downloaded and installed the "testing" (4.3.4) packages on one
machine and have 4.3.3 installed on a second machine. When I attempt
to do an authenticated ldap_bind of the root DN and rootpw using the
testing packages, all seems well -- I can then modify an entry. But
when I do this same thing on the machine with version 4.3.3, with the
script adjusted only for the server name, root DN and rootpw, it fails
to bind: error message is "Warning: ldap_bind(): Unable to bind to
server: Inappropriate authentication in /var/www/html/modify1.php on
line 20." I can run ldapmodify on the command line with the same
rootpw and be able to add attributes to the entry of interest. I may
or may not put 4.3.4 on this machine to see if ldap_bind suddenly works.
Comment 4 Peter van Egdom 2003-12-06 11:18:14 EST
This bug can be closed. Rawhide contains "php-4.3.4-1.i386.rpm".
Comment 5 Joe Orton 2004-01-07 12:07:01 EST
Actually, I was leaving this open until the FC1 updates had been
issued, but never mind, it should be out Any Day Real Soon Now.

Note You need to log in before you can comment on or make changes to this bug.